"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518CA0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518D30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518DC0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518E50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518EE0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA518F70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519000>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519090>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519120>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5191B0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519240>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5192D0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519360>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5193F0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519480>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519510>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5195A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519630>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5196C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519750>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA5197E0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519870>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519900>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519990>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519AB0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519A20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519B40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519BD0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519C60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519CF0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519D80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519E10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519EA0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519F30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA519FC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A050>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A0E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A170>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A200>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A290>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A320>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A3B0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A4D0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A560>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A5F0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A710>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A7A0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A830>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A8C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A950>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51A9E0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AA70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AB00>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AB90>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AC20>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51ACB0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AD40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51ADD0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AE60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AEF0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51AF80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B010>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B0A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B250>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B130>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B2E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B370>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B400>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B490>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B520>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B640>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B5B0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B6D0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B760>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B7F0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B910>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B880>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51B9A0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51BA30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51BAC0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51BB50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51BBE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000014EEA51BC70>)]
name: str = 'fr_HOCCN'
